Index: tmp/org.txm.translate.rcp/report.txt
===================================================================
--- tmp/org.txm.translate.rcp/report.txt	(revision 1356)
+++ tmp/org.txm.translate.rcp/report.txt	(revision 1357)
@@ -1,41 +1,3 @@
-/home/mdecorde/workspace047/org.txm.ca.rcp/src/org/txm/ca/rcp/editors/CAEditor.java
-	246	System.out.println(CAUIMessages.errorWhileOpeningCAEditorDDot + e1);
-	257	System.out.println(CAUIMessages.errorWhileOpeningCAEditorDDot + e);
-	375	"%", CAUIMessages.CorrespondanceAnalysisEditorInput_11 + "%", "", ""}; //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$ //$NON-NLS-4$
-/home/mdecorde/workspace047/org.txm.chartsengine.core/src/org/txm/chartsengine/core/ChartsEngine.java
-	414	Log.severe(ChartsEngineCoreMessages.error_cantCreateTmpChartFile + e);
-	420	Log.severe(ChartsEngineCoreMessages.error_cantWriteInFile + file);
-/home/mdecorde/workspace047/org.txm.chartsengine.jfreechart.core/src/org/txm/chartsengine/jfreechart/core/themes/highcharts/defaulttheme/renderers/ItemSelectionCategoryBarRenderer.java
-	152	+ ChartsEngineCoreMessages.EMPTY + " <b>" + valuesNumberFormat.format(value) + "</b></p></body><html>";
-/home/mdecorde/workspace047/org.txm.chartsengine.jfreechart.core/src/org/txm/chartsengine/jfreechart/core/themes/highcharts/defaulttheme/renderers/ItemSelectionCategoryLineAndShapeRenderer.java
-	89	+ ChartsEngineCoreMessages.EMPTY + " </span><b>" + catDataset.getValue(row, column) + "</b></p></body><html>";
-/home/mdecorde/workspace047/org.txm.chartsengine.jfreechart.core/src/org/txm/chartsengine/jfreechart/core/themes/highcharts/defaulttheme/renderers/ItemSelectionXYBarRenderer.java
-	87	+ ChartsEngineCoreMessages.EMPTY + " <b>" + RendererUtils.valuesNumberFormat.format(value) + "</b></p></body><html>";
-/home/mdecorde/workspace047/org.txm.chartsengine.jfreechart.core/src/org/txm/chartsengine/jfreechart/core/themes/highcharts/defaulttheme/renderers/ItemSelectionXYCardinalSplineRenderer.java
-	101	+ ChartsEngineCoreMessages.EMPTY + " </b><b>" + RendererUtils.valuesNumberFormat.format(xyDataset.getSeries(series).getX(item)) + "</b></p></body><html>";
-/home/mdecorde/workspace047/org.txm.chartsengine.jfreechart.core/src/org/txm/chartsengine/jfreechart/core/themes/highcharts/defaulttheme/renderers/ItemSelectionXYLineAndShapeRenderer.java
-	147	+ ChartsEngineCoreMessages.EMPTY + " <b>" + valuesNumberFormat.format(xyDataset.getSeries(series).getY(item)) + "</b></p></body><html>";
-/home/mdecorde/workspace047/org.txm.chartsengine.jfreechart.core/src/org/txm/chartsengine/jfreechart/core/themes/highcharts/defaulttheme/renderers/ItemSelectionXYSplineRenderer.java
-	120	+ ChartsEngineCoreMessages.EMPTY + " </b><b>" + xyDataset.getSeries(series).getX(item) + "</b></p></body><html>";
-/home/mdecorde/workspace047/org.txm.chartsengine.jfreechart.rcp/src/org/txm/chartsengine/jfreechart/rcp/preferences/JFCChartsEnginePreferencePage.java
-	112	System.err.println(org.txm.rcp.messages.TXMUIMessages.failedToSavePreferencesDDot + e);
-/home/mdecorde/workspace047/org.txm.chartsengine.r.rcp/src/org/txm/rcp/chartsengine/r/preferences/RChartsEnginePreferencePage.java
-	114	System.err.println(org.txm.rcp.messages.TXMUIMessages.failedToSavePreferencesDDot + e);
-/home/mdecorde/workspace047/org.txm.concordance.core/src/org/txm/concordance/core/functions/Concordance.java
-	551	Log.info(ConcordanceCoreMessages.retrieving + (to - from + 1) + ConcordanceCoreMessages.results);
-	578	Log.severe(ConcordanceCoreMessages.failedToGetTextsLimitsDDot+e);
-	1497	System.err.println(ConcordanceCoreMessages.failedToExportConcordanceDDot + e);
-	1530	System.err.println(ConcordanceCoreMessages.failedToExportConcordanceDDot + e.getLocalizedMessage());
-	1596	txtseparator+ConcordanceCoreMessages.reference+txtseparator
-	1597	+ colseparator+txtseparator+ConcordanceCoreMessages.context+txtseparator
-/home/mdecorde/workspace047/org.txm.concordance.rcp/src/org/txm/concordance/rcp/editors/ConcordanceEditor.java
-	718	Log.info(ConcordanceUIMessages.sortingWith+currentComparator.getName());
-	794	System.err.println(ConcordanceUIMessages.anErrorOccurredWhileRetrievingTheConcordanceLinesDDotP0+ e);
-	1203	System.out.println(TXMUIMessages.errorWhileComputingTheConcordanceDDot + " " + Log.toString(e1)); //$NON-NLS-1$
-	1207	Log.severe(TXMUIMessages.lastCQPErrorDDot+CQPSearchEngine.getCqiClient().getLastCQPError());
-	1209	System.out.println(ConcordanceUIMessages.cQPErrorDDot+e2);
-/home/mdecorde/workspace047/org.txm.concordance.rcp/src/org/txm/concordance/rcp/widgets/ComplexSortSelector.java
-	143	System.out.println(TXMUIMessages.complexSortDDot+comp);
 /home/mdecorde/workspace047/org.txm.cooccurrence.core/src/org/txm/cooccurrence/core/functions/Cooccurrence.java
 	1412	writer.write( txtseparator+CooccurrenceCoreMessages.occ+txtseparator+colseparator+
 	1413	txtseparator+CooccurrenceCoreMessages.freq+txtseparator+colseparator+
Index: tmp/org.txm.queryindex.rcp/src/org/txm/queryindex/rcp/editors/QueryIndexEditor.java
===================================================================
--- tmp/org.txm.queryindex.rcp/src/org/txm/queryindex/rcp/editors/QueryIndexEditor.java	(revision 1356)
+++ tmp/org.txm.queryindex.rcp/src/org/txm/queryindex/rcp/editors/QueryIndexEditor.java	(revision 1357)
@@ -85,6 +85,7 @@
 import org.txm.rcp.views.corpora.CorporaView;
 import org.txm.searchengine.cqp.CQPSearchEngine;
 import org.txm.searchengine.cqp.clientExceptions.CqiClientException;
+import org.txm.searchengine.cqp.core.messages.CQPSearchEngineCoreMessages;
 import org.txm.searchengine.cqp.corpus.CQPCorpus;
 import org.txm.searchengine.cqp.corpus.Partition;
 import org.txm.searchengine.cqp.corpus.Property;
@@ -361,9 +362,9 @@
 					} catch (Exception e) {
 						System.out.println(e.getLocalizedMessage());
 						try {
-							Log.severe(TXMCoreMessages.bind(TXMUIMessages.lastCQPErrorDDot, CQPSearchEngine.getCqiClient().getLastCQPError()));
+							Log.severe(TXMCoreMessages.bind(CQPSearchEngineCoreMessages.lastCQPErrorDDot, CQPSearchEngine.getCqiClient().getLastCQPError()));
 						} catch (Exception e1) {
-							Log.severe(TXMCoreMessages.bind(IndexUIMessages.cQPErrorDDot, e1));
+							Log.severe(TXMCoreMessages.bind(CQPSearchEngineCoreMessages.cQPErrorDDotP0, e1));
 							Log.printStackTrace(e1);
 						}
 						Log.severe(TXMCoreMessages.bind("Error while computing QueryIndex: {0}.", e.getLocalizedMessage()));
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/messages/messages_ru.properties
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/messages/messages_ru.properties	(revision 1356)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/messages/messages_ru.properties	(revision 1357)
@@ -117,7 +117,7 @@
 common_enterRegularExpressionOfYourSearch = Наберите регулярное выражение вашего запроса
 common_refresh                            = Refresh
 
-complexSortDDot = Мульти-сортировка
+complexSortDDotP0 = Мульти-сортировка {0}
 
 computeSubCorpusOnP0QueryDDotP1 = Составление подкорпуса для {0} по запросу <{1}>
 
@@ -271,8 +271,6 @@
 
 errorWhileComputingCorpusSummary = ** Ошибка при подготовке информации о корпусе
 
-errorWhileComputingTheConcordanceDDot = ** Произошла ошибка при расчете конкорданса
-
 errorWhileCreatingAPartitionDDotP0 = ** Ошибка во время создания распределения: {0}
 
 errorWhileDeletingP0DDotP1 = Ошибка во время удаления {0} : {1}
@@ -419,7 +417,6 @@
 
 jobDDot = 
 
-lastCQPErrorDDot = Последняя ошибка CQP: {0}.
 
 leftContextSize = Размер левого контекста
 
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/messages/messages_fr.properties
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/messages/messages_fr.properties	(revision 1356)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/messages/messages_fr.properties	(revision 1357)
@@ -135,7 +135,7 @@
 common_enterRegularExpressionOfYourSearch = Saisissez l'expression régulière de votre recherche
 common_refresh                            = Rafraichir
 
-complexSortDDot = Tri multiple 
+complexSortDDotP0 = Tri multiple {0}
 
 computeSubCorpusOnP0QueryDDotP1 = Calcul d''un sous-corpus de {0} avec la requête <{1}>
 
@@ -313,8 +313,6 @@
 
 errorWhileComputingCorpusSummary = ** Erreur lors du calcul des informations du corpus
 
-errorWhileComputingTheConcordanceDDot = ** Une erreur est survenue lors du calcul de la concordance
-
 errorWhileCreatingAPartitionDDotP0 = ** Erreur lors de la création de la partition : {0}
 
 errorWhileDeletingP0DDotP1 = Erreur lors de la suppression de {0} : {1}
@@ -475,7 +473,6 @@
 
 jobDDot = Job : {0}.
 
-lastCQPErrorDDot = Dernière erreur CQP : {0}.
 
 leftContextSize = Taille du contexte gauche
 
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/messages/TXMUIMessages.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/messages/TXMUIMessages.java	(revision 1356)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/messages/TXMUIMessages.java	(revision 1357)
@@ -167,7 +167,7 @@
 	public static String name; 
 	public static String nameIsMandatory; 
 	public static String sortKeys; 
-	public static String complexSortDDot; 
+	public static String complexSortDDotP0; 
 	public static String sort; 
 	public static String errorDuringSortDDotP0; 
 	public static String _default; 
@@ -190,7 +190,6 @@
 	public static String coocMatrixParameters; 
 	public static String corpusConversionFailed; 
 	public static String corpus; 
-	public static String errorWhileComputingTheConcordanceDDot; 
 	public static String editions; 
 	public static String punctuations; 
 	public static String separatorCharacters; 
@@ -400,7 +399,6 @@
 	public static String chooseTheLanguage; 
 	public static String switchLanguageDDotMalformedUrlDDotP0; 
 	public static String tXMiniDDot; 
-	public static String lastCQPErrorDDot; 
 	public static String shouldNotHappen; 
 	public static String configurationOfTheUserInterfaceLanguage; 
 	public static String userInterfaceLanguage; 
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/messages/messages.properties
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/messages/messages.properties	(revision 1356)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/messages/messages.properties	(revision 1357)
@@ -141,7 +141,7 @@
 common_enterRegularExpressionOfYourSearch = Enter the regular expression of your search
 common_refresh                            = Refresh
 
-complexSortDDot = Complex sort:
+complexSortDDotP0=Complex sort: {0}
 
 computeSubCorpusOnP0QueryDDotP1 = Compute SubCorpus on {0}. Query: {1}
 
@@ -335,8 +335,6 @@
 
 errorWhileComputingCorpusSummary = Error while computing corpus summary
 
-errorWhileComputingTheConcordanceDDot = Error while computing the concordance:
-
 errorWhileCreatingAPartitionDDotP0 = Error while creating a partition: {0}
 
 errorWhileDeletingP0DDotP1 = Error while deleting {0}: {1}
@@ -515,7 +513,6 @@
 
 jobDDot = Job: {0}.
 
-lastCQPErrorDDot = Last CQP error: {0}.
 
 leftContextSize = Left context size
 
Index: tmp/org.txm.tigersearch.rcp/src/org/txm/tigersearch/editors/TSIndexEditor.java
===================================================================
--- tmp/org.txm.tigersearch.rcp/src/org/txm/tigersearch/editors/TSIndexEditor.java	(revision 1356)
+++ tmp/org.txm.tigersearch.rcp/src/org/txm/tigersearch/editors/TSIndexEditor.java	(revision 1357)
@@ -90,6 +90,7 @@
 import org.txm.rcp.views.corpora.CorporaView;
 import org.txm.searchengine.cqp.CQPSearchEngine;
 import org.txm.searchengine.cqp.clientExceptions.CqiClientException;
+import org.txm.searchengine.cqp.core.messages.CQPSearchEngineCoreMessages;
 import org.txm.searchengine.cqp.corpus.CQPCorpus;
 import org.txm.searchengine.cqp.corpus.Partition;
 import org.txm.searchengine.cqp.corpus.Property;
@@ -396,9 +397,9 @@
 					} catch (Exception e) {
 						System.out.println(e.getLocalizedMessage());
 						try {
-							System.out.println(TXMUIMessages.lastCQPErrorDDot + CQPSearchEngine.getCqiClient().getLastCQPError());
+							System.out.println(NLS.bind(CQPSearchEngineCoreMessages.lastCQPErrorDDot, CQPSearchEngine.getCqiClient().getLastCQPError()));
 						} catch (Exception e1) {
-							System.out.println(IndexUIMessages.cQPErrorDDot+e1);
+							System.out.println(CQPSearchEngineCoreMessages.cQPErrorDDotP0+e1);
 						}
 						Log.severe("Error while computing TIGERSearch Index: "+e.getLocalizedMessage());
 					} finally {
Index: tmp/org.txm.index.rcp/src/org/txm/index/rcp/messages/messages.properties
===================================================================
--- tmp/org.txm.index.rcp/src/org/txm/index/rcp/messages/messages.properties	(revision 1356)
+++ tmp/org.txm.index.rcp/src/org/txm/index/rcp/messages/messages.properties	(revision 1357)
@@ -4,8 +4,6 @@
 
 IndexEditor_17 = 
 
-cQPErrorDDot = CQP error: {0}.
-
 computingIndex = Computing index...
 
 couldntInitializeIndexTable = Couldn't initialize Index table
Index: tmp/org.txm.index.rcp/src/org/txm/index/rcp/messages/messages_ru.properties
===================================================================
--- tmp/org.txm.index.rcp/src/org/txm/index/rcp/messages/messages_ru.properties	(revision 1356)
+++ tmp/org.txm.index.rcp/src/org/txm/index/rcp/messages/messages_ru.properties	(revision 1357)
@@ -4,7 +4,6 @@
 
 IndexEditor_17 = 
 
-cQPErrorDDot = N/A_CQP error: {0}.
 
 computingIndex = Расчет индекса...
 
Index: tmp/org.txm.index.rcp/src/org/txm/index/rcp/messages/messages_fr.properties
===================================================================
--- tmp/org.txm.index.rcp/src/org/txm/index/rcp/messages/messages_fr.properties	(revision 1356)
+++ tmp/org.txm.index.rcp/src/org/txm/index/rcp/messages/messages_fr.properties	(revision 1357)
@@ -4,7 +4,6 @@
 
 IndexEditor_17 = 
 
-cQPErrorDDot = Echec de la récupération de la dernière erreur CQP : {0}.
 
 computingIndex = Calcul de l'index...
 
Index: tmp/org.txm.index.rcp/src/org/txm/index/rcp/messages/IndexUIMessages.java
===================================================================
--- tmp/org.txm.index.rcp/src/org/txm/index/rcp/messages/IndexUIMessages.java	(revision 1356)
+++ tmp/org.txm.index.rcp/src/org/txm/index/rcp/messages/IndexUIMessages.java	(revision 1357)
@@ -20,7 +20,6 @@
 	
 	public static String indexDDotQueryIsEmpty; 
 	public static String failedToComputeIndex; 
-	public static String cQPErrorDDot; 
 	public static String IndexEditor_17;
 	public static String indexOfInfP0SupWithPropertyDDotP1InTheCorpusDDotP2; 
 	public static String indexOfInfP0SupWithPropertyDDotP1InThePartitionDDotP2; 
Index: tmp/org.txm.concordance.rcp/src/org/txm/concordance/rcp/widgets/ComplexSortSelector.java
===================================================================
--- tmp/org.txm.concordance.rcp/src/org/txm/concordance/rcp/widgets/ComplexSortSelector.java	(revision 1356)
+++ tmp/org.txm.concordance.rcp/src/org/txm/concordance/rcp/widgets/ComplexSortSelector.java	(revision 1357)
@@ -140,7 +140,7 @@
 			comp.add(standardComparators.get(thirdKey.getText()));
 			comp.add(standardComparators.get(fourthKey.getText()));
 			defaultComparator.setComparators(comp);
-			System.out.println(TXMUIMessages.complexSortDDot+comp);
+			System.out.println(NLS.bind(TXMUIMessages.complexSortDDotP0, comp));
 			editor.resetSortedColumn(firstKey.getSelectionIndex());
 			editor.setCurrentComparator(defaultComparator);
 			editor.sort();
Index: tmp/org.txm.concordance.rcp/src/org/txm/concordance/rcp/messages/messages.properties
===================================================================
--- tmp/org.txm.concordance.rcp/src/org/txm/concordance/rcp/messages/messages.properties	(revision 1356)
+++ tmp/org.txm.concordance.rcp/src/org/txm/concordance/rcp/messages/messages.properties	(revision 1357)
@@ -6,7 +6,6 @@
 anErrorOccurredWhileRetrievingTheConcordanceLinesDDotP0=An error occurred while retrieving the concordance lines\: {0}
 canNotOpenConcordanceEditorWithP0=Can not open ConcordanceEditor with {0}
 concordanceParameters=Concordance Parameters
-cQPErrorDDot=CQP error\:
 deleteSelectedLines=Delete selected line(s)
 editor_19=...
 editor_21=
@@ -32,7 +31,8 @@
 sortingLeftContextColumn=Sorting left context column
 sortingReferenceColumn=Sorting reference column
 sortingRightContextColumn=Sorting right context column
-sortingWith=Sorting with 
+sortingWithP0=Sorting with {0}
 startComputingConcordance=Start computing concordance
 sup=>
 view=View
+errorWhileComputingTheConcordanceDDotP0 = Error while computing the concordance: {0}
Index: tmp/org.txm.concordance.rcp/src/org/txm/concordance/rcp/messages/ConcordanceUIMessages.java
===================================================================
--- tmp/org.txm.concordance.rcp/src/org/txm/concordance/rcp/messages/ConcordanceUIMessages.java	(revision 1356)
+++ tmp/org.txm.concordance.rcp/src/org/txm/concordance/rcp/messages/ConcordanceUIMessages.java	(revision 1357)
@@ -18,7 +18,7 @@
 
 	
 	
-	
+	public static String errorWhileComputingTheConcordanceDDotP0; 
 	public static String anErrorOccurredWhileRetrievingTheConcordanceLinesDDotP0; 
 	
 	public static String openingTheConcordanceResult; 
@@ -42,7 +42,6 @@
 	public static String openingCorpusEdition; 
 	public static String startComputingConcordance; 
 	public static String sorting; 
-	public static String cQPErrorDDot; 
 	public static String _class; 
 	public static String deleteSelectedLines; 
 
@@ -83,7 +82,7 @@
 
 	public static String right; 
 
-	public static String sortingWith; 
+	public static String sortingWithP0; 
 
 	public static String view; 
 
Index: tmp/org.txm.concordance.rcp/src/org/txm/concordance/rcp/messages/messages_ru.properties
===================================================================
--- tmp/org.txm.concordance.rcp/src/org/txm/concordance/rcp/messages/messages_ru.properties	(revision 1356)
+++ tmp/org.txm.concordance.rcp/src/org/txm/concordance/rcp/messages/messages_ru.properties	(revision 1357)
@@ -4,7 +4,6 @@
 ampRightContextLengthInWords=&Правый контекст (в словах)
 anErrorOccurredWhileRetrievingTheConcordanceLinesDDotP0=** Ошибка во время загрузки строк конкорданса\: {0}
 concordanceParameters=Параметры конкордансов
-cQPErrorDDot=N/A_Failed to get last CQP error\: 
 inf=<
 keyword=Мотив
 leftContext=Левый контекст
@@ -20,3 +19,4 @@
 sortingRightContextColumn=Сортировка правого контекста
 startComputingConcordance=Начало расчета конкордансов
 sup=>
+errorWhileComputingTheConcordanceDDotP0 = ** Произошла ошибка при расчете конкорданса {0}
\ No newline at end of file
Index: tmp/org.txm.concordance.rcp/src/org/txm/concordance/rcp/messages/messages_fr.properties
===================================================================
--- tmp/org.txm.concordance.rcp/src/org/txm/concordance/rcp/messages/messages_fr.properties	(revision 1356)
+++ tmp/org.txm.concordance.rcp/src/org/txm/concordance/rcp/messages/messages_fr.properties	(revision 1357)
@@ -4,7 +4,6 @@
 ampRightContextLengthInWords=Contexte &Droit (en mots)
 anErrorOccurredWhileRetrievingTheConcordanceLinesDDotP0=** Une erreur est survenue lors du chargement des lignes de la concordance \: {0}
 concordanceParameters=Paramètres des Concordances 
-cQPErrorDDot=Erreur lors de la récupération de la dernière erreur CQP \:  
 deleteSelectedLines=Supprimer le(s) ligne(s) sélectionnée(s)
 inf=<
 keyword=Pivot
@@ -21,3 +20,4 @@
 sortingRightContextColumn=Tri du contexte droit
 startComputingConcordance=Début du calcul des concordances
 sup=>
+errorWhileComputingTheConcordanceDDotP0 = ** Une erreur est survenue lors du calcul de la concordance : {0}
\ No newline at end of file
Index: tmp/org.txm.concordance.rcp/src/org/txm/concordance/rcp/editors/ConcordanceEditor.java
===================================================================
--- tmp/org.txm.concordance.rcp/src/org/txm/concordance/rcp/editors/ConcordanceEditor.java	(revision 1356)
+++ tmp/org.txm.concordance.rcp/src/org/txm/concordance/rcp/editors/ConcordanceEditor.java	(revision 1357)
@@ -104,6 +104,7 @@
 import org.txm.concordance.rcp.handlers.DeleteLines;
 import org.txm.concordance.rcp.messages.ConcordanceUIMessages;
 import org.txm.concordance.rcp.widgets.ComplexSortSelector;
+import org.txm.core.messages.TXMCoreMessages;
 import org.txm.core.preferences.TXMPreferences;
 import org.txm.core.results.Parameter;
 import org.txm.core.results.TXMResult;
@@ -126,6 +127,7 @@
 import org.txm.rcp.views.QueriesView;
 import org.txm.searchengine.cqp.CQPSearchEngine;
 import org.txm.searchengine.cqp.ReferencePattern;
+import org.txm.searchengine.cqp.core.messages.CQPSearchEngineCoreMessages;
 import org.txm.searchengine.cqp.corpus.CQPCorpus;
 import org.txm.searchengine.cqp.corpus.Property;
 import org.txm.searchengine.cqp.corpus.WordProperty;
@@ -715,7 +717,7 @@
 			concordance.resetLines();
 
 			try {
-				Log.info(ConcordanceUIMessages.sortingWith+currentComparator.getName());
+				Log.info(NLS.bind(ConcordanceUIMessages.sortingWithP0, currentComparator.getName()));
 				if (currentComparator instanceof CompositeComparator)
 					Log.info(((CompositeComparator) currentComparator).getComparators().toString());
 				JobHandler jobhandler = new JobHandler("Sorting...") { //$NON-NLS-1$
@@ -791,7 +793,7 @@
 			try {
 				lines = concordance.getLines(from, to);
 			} catch (Exception e) {
-				System.err.println(ConcordanceUIMessages.anErrorOccurredWhileRetrievingTheConcordanceLinesDDotP0+ e);
+				System.err.println(NLS.bind(ConcordanceUIMessages.anErrorOccurredWhileRetrievingTheConcordanceLinesDDotP0, e));
 				org.txm.rcp.utils.Logger.printStackTrace(e);
 			}
 		}
@@ -1200,13 +1202,13 @@
 			JobsTimer.stopAndPrint();
 
 		} catch (Exception e1) {
-			System.out.println(TXMUIMessages.errorWhileComputingTheConcordanceDDot + " " + Log.toString(e1)); //$NON-NLS-1$
+			System.out.println(ConcordanceUIMessages.errorWhileComputingTheConcordanceDDotP0 + " " + Log.toString(e1)); //$NON-NLS-1$
 			//System.err.println(Messages.CorporaView_3);
 			org.txm.rcp.utils.Logger.printStackTrace(e1);
 			try {
-				Log.severe(TXMUIMessages.lastCQPErrorDDot+CQPSearchEngine.getCqiClient().getLastCQPError());
+				Log.severe(TXMCoreMessages.bind(CQPSearchEngineCoreMessages.lastCQPErrorDDot, CQPSearchEngine.getCqiClient().getLastCQPError()));
 			} catch (Exception e2) {
-				System.out.println(ConcordanceUIMessages.cQPErrorDDot+e2);
+				System.out.println(NLS.bind(CQPSearchEngineCoreMessages.cQPErrorDDotP0, e2));
 				org.txm.rcp.utils.Logger.printStackTrace(e1);
 				Log.severe(Log.toString(e1));
 			}
Index: tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/core/messages/messages_fr.properties
===================================================================
--- tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/core/messages/messages_fr.properties	(revision 1356)
+++ tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/core/messages/messages_fr.properties	(revision 1357)
@@ -6,9 +6,9 @@
 
 b2 = b2 
 
-cLErrorDDot = Erreur CQ :
+cLErrorDDot = Erreur CL : {0}
 
-cQPErrorDDot = Erreur CQP : 
+cQPErrorDDot = Erreur CQP : {0}
 
 cantFindCQPLocationDDot = ** Echec de localisation de CQP : {0}.
 
Index: tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/core/messages/CQPSearchEngineCoreMessages.java
===================================================================
--- tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/core/messages/CQPSearchEngineCoreMessages.java	(revision 1356)
+++ tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/core/messages/CQPSearchEngineCoreMessages.java	(revision 1357)
@@ -41,7 +41,7 @@
 	public static String unknownCQPCodesDDotB1; 
 	public static String queryError; 
 	public static String cLErrorDDot; 
-	public static String cQPErrorDDot; 
+	public static String cQPErrorDDotP0; 
 	public static String unknownCQPErrorDDotB1; 
 	public static String unknownCQPCQIErrorDDotB1; 
 	public static String unknownCQPCodeDDotB1; 
Index: tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/core/messages/messages.properties
===================================================================
--- tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/core/messages/messages.properties	(revision 1356)
+++ tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/core/messages/messages.properties	(revision 1357)
@@ -6,9 +6,9 @@
 
 b2 = b2 
 
-cLErrorDDot = CL error: 
+cLErrorDDot = CL error: {0}
 
-cQPErrorDDot = CQP error: 
+cQPErrorDDotP0=CQP error: {0}
 
 cantFindCQPLocationDDot = ** Can't find CQP location: {0}.
 
Index: tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/MemCqiClient.java
===================================================================
--- tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/MemCqiClient.java	(revision 1356)
+++ tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/MemCqiClient.java	(revision 1357)
@@ -2,6 +2,7 @@
 
 import java.io.IOException;
 
+import org.eclipse.osgi.util.NLS;
 import org.txm.core.messages.TXMCoreMessages;
 import org.txm.searchengine.cqp.clientExceptions.UnexpectedAnswerException;
 import org.txm.searchengine.cqp.core.messages.CQPSearchEngineCoreMessages;
@@ -157,7 +158,7 @@
 
 		case 0x05:// cf cqi.h:94
 
-			lastError = CQPSearchEngineCoreMessages.cQPErrorDDot+"CQI_CQP_ERROR ("+b+")";
+			lastError = NLS.bind(CQPSearchEngineCoreMessages.cQPErrorDDotP0, "CQI_CQP_ERROR ("+b+")");
 			Log.finest(TXMCoreMessages.bind(CQPSearchEngineCoreMessages.readByteFromTheCQiServerDDotP0, b));
 			switch (b2) {
 			case 0x01:// cf cqi.h:39
Index: tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/NetCqiClient.java
===================================================================
--- tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/NetCqiClient.java	(revision 1356)
+++ tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/NetCqiClient.java	(revision 1357)
@@ -614,7 +614,7 @@
 		case 0x05:// cf cqi.h:94
 
 			b = this.streamFromServer.readByte();
-			lastError = CQPSearchEngineCoreMessages.cQPErrorDDot+b;
+			lastError = CQPSearchEngineCoreMessages.cQPErrorDDotP0+b;
 			
 			Log.finest(CQPSearchEngineCoreMessages.bind(CQPSearchEngineCoreMessages.readByteFromTheCQiServerDDotP0, b));
 			
Index: tmp/org.txm.concordance.core/src/org/txm/concordance/core/messages/messages_ru.properties
===================================================================
--- tmp/org.txm.concordance.core/src/org/txm/concordance/core/messages/messages_ru.properties	(revision 1356)
+++ tmp/org.txm.concordance.core/src/org/txm/concordance/core/messages/messages_ru.properties	(revision 1357)
@@ -2,8 +2,8 @@
 #Mon Nov 12 17:18:22 CET 2018
 compositeDDot=MISSING
 context=MISSING
-failedToExportConcordanceDDot=MISSING
-failedToGetTextsLimitsDDot=MISSING
+failedToExportConcordanceDDotP0=MISSING
+failedToGetTextsLimitsDDotP0=MISSING
 failedToRetrieveTextidPropertyFromLines=MISSING
 keyword=MISSING
 leftContext=MISSING
Index: tmp/org.txm.concordance.core/src/org/txm/concordance/core/messages/messages_fr.properties
===================================================================
--- tmp/org.txm.concordance.core/src/org/txm/concordance/core/messages/messages_fr.properties	(revision 1356)
+++ tmp/org.txm.concordance.core/src/org/txm/concordance/core/messages/messages_fr.properties	(revision 1357)
@@ -2,8 +2,8 @@
 #Mon Nov 12 17:18:22 CET 2018
 compositeDDot=Composé \: 
 context=Contexte
-failedToExportConcordanceDDot=** Echec de l'exportation de la concordance \: 
-failedToGetTextsLimitsDDot=Echec de la récupération des limites de texte \: 
+failedToExportConcordanceDDotP0=** Echec de l'exportation de la concordance \: {0}
+failedToGetTextsLimitsDDotP0=Echec de la récupération des limites de texte \: {0} 
 failedToRetrieveTextidPropertyFromLines=** Echec de récupération de la propriété 'text_id' des lignes 
 keyword=Pivot
 leftContext=ContexteGauche
@@ -15,6 +15,7 @@
 results=\ résultats
 resultsRetrievedIn=\ résultats obtenus en 
 retrieving=Récupération 
+retrievingP0Results=Récupération de {0} résultats...
 rightContext=ContexteDroit
 rightContext_2=Contexte droit
 undefined=indéfini
Index: tmp/org.txm.concordance.core/src/org/txm/concordance/core/messages/ConcordanceCoreMessages.java
===================================================================
--- tmp/org.txm.concordance.core/src/org/txm/concordance/core/messages/ConcordanceCoreMessages.java	(revision 1356)
+++ tmp/org.txm.concordance.core/src/org/txm/concordance/core/messages/ConcordanceCoreMessages.java	(revision 1357)
@@ -18,7 +18,7 @@
 
 	
 	public static String failedToRetrieveTextidPropertyFromLines; 
-	public static String failedToExportConcordanceDDot; 
+	public static String failedToExportConcordanceDDotP0; 
 	public static String reference; 
 	public static String leftContext; 
 	public static String keyword; 
@@ -26,9 +26,8 @@
 	public static String context; 
 	public static String undefined; 
 	public static String resultsRetrievedIn; 
-	public static String retrieving; 
-	public static String results; 
-	public static String failedToGetTextsLimitsDDot; 
+	public static String retrievingP0Results; 
+	public static String failedToGetTextsLimitsDDotP0; 
 	public static String compositeDDot; 
 	public static String references; 
 	public static String leftContext_2; 
Index: tmp/org.txm.concordance.core/src/org/txm/concordance/core/messages/messages.properties
===================================================================
--- tmp/org.txm.concordance.core/src/org/txm/concordance/core/messages/messages.properties	(revision 1356)
+++ tmp/org.txm.concordance.core/src/org/txm/concordance/core/messages/messages.properties	(revision 1357)
@@ -2,8 +2,8 @@
 #Mon Nov 12 17:18:22 CET 2018
 compositeDDot=Composite\: 
 context=Context
-failedToExportConcordanceDDot=** Failed to export Concordance\: 
-failedToGetTextsLimitsDDot=Failed to get texts limits\: 
+failedToExportConcordanceDDotP0=** Failed to export Concordance\: {0}
+failedToGetTextsLimitsDDotP0=Failed to get texts limits\: {0}
 failedToRetrieveTextidPropertyFromLines=** Failed to retrieve text_id property from lines
 keyword=Keyword
 leftContext=LeftContext
@@ -12,9 +12,8 @@
 reference=Reference
 references=References
 RESULT_TYPE=Concordance
-results=\ results
 resultsRetrievedIn=\ results retrieved in 
-retrieving=Retrieving 
+retrievingP0Results=Retrieving {0} results...
 rightContext=RightContext
 rightContext_2=Right context
 undefined=undefined
Index: tmp/org.txm.concordance.core/src/org/txm/concordance/core/functions/Concordance.java
===================================================================
--- tmp/org.txm.concordance.core/src/org/txm/concordance/core/functions/Concordance.java	(revision 1356)
+++ tmp/org.txm.concordance.core/src/org/txm/concordance/core/functions/Concordance.java	(revision 1357)
@@ -42,6 +42,7 @@
 import java.util.List;
 import java.util.Map;
 
+import org.eclipse.osgi.util.NLS;
 import org.txm.concordance.core.functions.comparators.LineComparator;
 import org.txm.concordance.core.messages.ConcordanceCoreMessages;
 import org.txm.concordance.core.preferences.ConcordancePreferences;
@@ -548,7 +549,7 @@
 			return new ArrayList<Line>();
 		}
 		
-		Log.info(ConcordanceCoreMessages.retrieving + (to - from + 1) + ConcordanceCoreMessages.results);
+		Log.info(NLS.bind(ConcordanceCoreMessages.retrievingP0Results, to - from + 1));
 
 		AbstractCqiClient cqiClient = CorpusManager.getCorpusManager().getCqiClient();
 
@@ -575,7 +576,7 @@
 				}
 			} catch (Exception e) {
 				org.txm.utils.logger.Log.printStackTrace(e);
-				Log.severe(ConcordanceCoreMessages.failedToGetTextsLimitsDDot+e);
+				Log.severe(ConcordanceCoreMessages.failedToGetTextsLimitsDDotP0+e);
 			}
 		}
 
@@ -1494,7 +1495,7 @@
 			toTxt(writer, 0, nLines - 1, format, "\t",""); //$NON-NLS-1$ //$NON-NLS-2$
 			writer.close();
 		} catch (Exception e) {
-			System.err.println(ConcordanceCoreMessages.failedToExportConcordanceDDot + e);
+			System.err.println(NLS.bind(ConcordanceCoreMessages.failedToExportConcordanceDDotP0, e.getLocalizedMessage()));
 			Log.printStackTrace(e);
 			return false;
 		}
@@ -1527,7 +1528,7 @@
 			// if ("UTF-8".equals(encoding)) writer.write('\ufeff'); // UTF-8 BOM
 			toTxt(writer, 0, nLines - 1, colseparator, txtseparator);
 		} catch (Exception e) {
-			System.err.println(ConcordanceCoreMessages.failedToExportConcordanceDDot + e.getLocalizedMessage());
+			System.err.println(NLS.bind(ConcordanceCoreMessages.failedToExportConcordanceDDotP0, e.getLocalizedMessage()));
 			Log.printStackTrace(e);
 			return false;
 		} finally {
Index: tmp/org.txm.querycooccurrences.rcp/src/org/txm/rcp/commands/function/ComputeQueryCooccurrence.java
===================================================================
--- tmp/org.txm.querycooccurrences.rcp/src/org/txm/rcp/commands/function/ComputeQueryCooccurrence.java	(revision 1356)
+++ tmp/org.txm.querycooccurrences.rcp/src/org/txm/rcp/commands/function/ComputeQueryCooccurrence.java	(revision 1357)
@@ -67,6 +67,7 @@
 import org.txm.rcp.views.corpora.CorporaView;
 import org.txm.searchengine.cqp.CQPSearchEngine;
 import org.txm.searchengine.cqp.clientExceptions.CqiClientException;
+import org.txm.searchengine.cqp.core.messages.CQPSearchEngineCoreMessages;
 import org.txm.searchengine.cqp.corpus.CQPCorpus;
 import org.txm.searchengine.cqp.corpus.StructuralUnit;
 import org.txm.searchengine.cqp.corpus.query.CQLQuery;
@@ -138,7 +139,7 @@
 				} catch (Exception e) {
 					Log.printStackTrace(e);
 					try {
-						Log.severe(TXMCoreMessages.bind(TXMUIMessages.lastCQPErrorDDot, CQPSearchEngine.getCqiClient().getLastCQPError()));
+						Log.severe(TXMCoreMessages.bind(CQPSearchEngineCoreMessages.lastCQPErrorDDot, CQPSearchEngine.getCqiClient().getLastCQPError()));
 					} catch (Exception e1) {
 						e1.printStackTrace();
 						}
@@ -186,7 +187,7 @@
 			// TODO Auto-generated catch block
 			Log.printStackTrace(e);
 			try {
-				Log.severe(TXMCoreMessages.bind(TXMUIMessages.lastCQPErrorDDot, CQPSearchEngine.getCqiClient().getLastCQPError()));
+				Log.severe(TXMCoreMessages.bind(CQPSearchEngineCoreMessages.lastCQPErrorDDot, CQPSearchEngine.getCqiClient().getLastCQPError()));
 			} catch (Exception e1) {
 				e1.printStackTrace();
 				}
Index: tmp/org.txm.querycooccurrences.rcp/src/org/txm/rcp/commands/function/ComputeQueryAutoCooccurrence.java
===================================================================
--- tmp/org.txm.querycooccurrences.rcp/src/org/txm/rcp/commands/function/ComputeQueryAutoCooccurrence.java	(revision 1356)
+++ tmp/org.txm.querycooccurrences.rcp/src/org/txm/rcp/commands/function/ComputeQueryAutoCooccurrence.java	(revision 1357)
@@ -64,6 +64,7 @@
 import org.txm.rcp.views.corpora.CorporaView;
 import org.txm.searchengine.cqp.CQPSearchEngine;
 import org.txm.searchengine.cqp.clientExceptions.CqiClientException;
+import org.txm.searchengine.cqp.core.messages.CQPSearchEngineCoreMessages;
 import org.txm.searchengine.cqp.corpus.CQPCorpus;
 import org.txm.searchengine.cqp.corpus.StructuralUnit;
 import org.txm.searchengine.cqp.corpus.query.CQLQuery;
@@ -137,7 +138,7 @@
 				} catch (Exception e) {
 					Log.printStackTrace(e);
 					try {
-						Log.severe(TXMCoreMessages.bind(TXMUIMessages.lastCQPErrorDDot, CQPSearchEngine.getCqiClient().getLastCQPError()));
+						Log.severe(TXMCoreMessages.bind(CQPSearchEngineCoreMessages.lastCQPErrorDDot, CQPSearchEngine.getCqiClient().getLastCQPError()));
 					} catch (Exception e1) {
 						e1.printStackTrace();
 					}
@@ -193,7 +194,7 @@
 		} catch (Exception e) {
 			Log.printStackTrace(e);
 			try {
-				Log.severe(TXMCoreMessages.bind(TXMUIMessages.lastCQPErrorDDot, CQPSearchEngine.getCqiClient().getLastCQPError()));
+				Log.severe(TXMCoreMessages.bind(CQPSearchEngineCoreMessages.lastCQPErrorDDot, CQPSearchEngine.getCqiClient().getLastCQPError()));
 			} catch (Exception e1) {
 				e1.printStackTrace();
 			}
Index: tmp/org.txm.searchengine.cqp.rcp/src/org/txm/searchengine/cqp/rcp/handlers/base/CreateSubCorpus.java
===================================================================
--- tmp/org.txm.searchengine.cqp.rcp/src/org/txm/searchengine/cqp/rcp/handlers/base/CreateSubCorpus.java	(revision 1356)
+++ tmp/org.txm.searchengine.cqp.rcp/src/org/txm/searchengine/cqp/rcp/handlers/base/CreateSubCorpus.java	(revision 1357)
@@ -47,6 +47,7 @@
 import org.txm.rcp.views.corpora.CorporaView;
 import org.txm.searchengine.cqp.CQPSearchEngine;
 import org.txm.searchengine.cqp.clientExceptions.CqiClientException;
+import org.txm.searchengine.cqp.core.messages.CQPSearchEngineCoreMessages;
 import org.txm.searchengine.cqp.corpus.CQPCorpus;
 import org.txm.searchengine.cqp.corpus.Subcorpus;
 import org.txm.searchengine.cqp.corpus.query.CQLQuery;
@@ -147,7 +148,7 @@
 						Log.severe(e.toString());
 						
 						try {
-							System.out.println(TXMUIMessages.lastCQPErrorDDot+CQPSearchEngine.getCqiClient().getLastCQPError());
+							System.out.println(NLS.bind(CQPSearchEngineCoreMessages.lastCQPErrorDDot, CQPSearchEngine.getCqiClient().getLastCQPError()));
 						} catch (Exception e1) {
 							System.out.println(TXMUIMessages.failedToGetLastCQPErrorDDot+e1);
 							org.txm.rcp.utils.Logger.printStackTrace(e1);
